Subject: Re: [netlmm] Revised text for LMA definition

From: "Jean-Michel Combes" <[email-masked]>
Date: Fri, 1 Jun 2007 13:26:40 +0200

Hi Raj,

2007/6/1, Basavaraj Patil <[email-masked]>:
>
> The discussion regarding the use of the term LMA indicated that the
> terms local and global mobility depend on the context and hence cannot
> really be generalized.
>
> My initial proposal was to refer to the LMA as an HA. I am not sure if
> there was a concrete conclusion to be derived from the discussion. I
> think that the term LMA is context dependent.
>
> Below is a proposal for the term LMA in the PMIP6 I-D
> [draft-ietf-netlmm-proxymip6]:
>
> Local Mobility Anchor/HA
>
> The term LMA and HA are interchangeable and depend on the context in
> which the protocol is used. When the protocol specified in this
> document is used for local mobility management of a host, i.e within
> the scope of an access network or administrative domain, the term LMA
> is used or applicable. When the protocol is used for global mobility
> management of a host, the entity is essentially a Home Agent and
> should be refered to as such.

The entity _is essentially_ a Home Agent doesn't mean the entity _is_ a HA.

>
> The local mobility anchor is the entity that maintains the binding
> between the prefix assigned to an MN and the Proxy-CoA. The LMA has
> the functional capabilities of a home agent as defined in Mobile IPv6
> base specification [RFC-3775] and with the additional required
> capabilities for supporting Proxy Mobile IPv6 as defined in this
> specification. The prefix assigned to an MN is a local prefix.

s/capabilities/modifications  .... this is the main reason why, IMHO,
the LMA is not a RFC 3775 HA, or better, a RFC 3776 HA.

>
> In the context of Proxy MIP6 being used for global mobility the HA is
> the entity that maintains the binding between the prefix (or address)
> assigned to an MN and the proxy-CoA (at the MAG). This HA has the
> functional capability of the HA as per RFC3775

but not the RFC 3776 one when it is used for PMIP.

So, I can accept the name "pHA" or "PMIP HA" but I strongly disagree
to name it simply "HA".

Best regards.

JMC.

> and proxy MIP6 features
> specified in this document. The prefix assigned to the MN when used
> for global mobility MAY be the MNs home-link prefix causing home-link
> emulation from the MNs perspective.
>
>
>
>
> Thoughts?
>
> -Raj
>
>
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/netlmm
>

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: Julien Abeille <[email-masked]>
Date: Fri, 01 Jun 2007 13:39:55 +0200

Hi Jean Michel,

I strongly agree with you as suggested my previous and non answered 
emails (PMIP/CMIP dependency). I think it would be doing a lot of damage 
to PMIP than building it as an RFC3775 plugin, which is not what the 
charter proposes by the way: "The protocol will be independent of any 
particular global mobility management protocol", even though the term 
"global" is not very clear.

Cheers,
Julien

-- 
Julien Abeillé
Research Associate
NEC Europe Ltd.
Network Laboratories
Kurfürsten-Anlage 36
69115 Heidelberg
GERMANY

tel: +49 6221 43421 19
fax: +49 6221 43421 55
eMail: [email-masked]
http://www.netlab.nec.de

NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, London W3 6BL | Registered in England 2832014

---

From: Basavaraj Patil <[email-masked]>
Date: Fri, 01 Jun 2007 14:31:54 -0500

Hi Jean-Michel,

> The entity _is essentially_ a Home Agent doesn't mean the entity _is_ a HA.

Yes it is... The way I see it:
An RFC3775 HA != LMA
However an LMA = RFC3775/6 HA + DS-MIP6 capability + PMIP6 functionality

Hence LMA = HA

And so the reasoning above.

> the LMA is not a RFC 3775 HA, or better, a RFC 3776 HA.

The LMA is an entity with a superset of functionality which includes those
of RFC3775/6 HA. So I don't understand why you would say otherwise.

> So, I can accept the name "pHA" or "PMIP HA" but I strongly disagree

Oh well.. I guess I could live with pHA.

-Raj

---

From: Basavaraj Patil <[email-masked]>
Date: Fri, 01 Jun 2007 14:35:58 -0500

Julien,

Two points:

1. PMIP6 is an add-on or enhancement to MIP6. That is how I view it. If you
believe PMIP6 is an entirely new protocol, then I am not sure why you
perceive it as such.

2. What damage to PMIP6 are you refering to or you consider will occur if we
continue on the path of PMIP6 being a MIP6 enhancement?

In the context of PMIP6 as it is being defined today and in the context of
mobility protocols in the IETF, what global mobility protocol do you think
is essentially being refered to in PMIP6?

-Raj

---

From: "Narayanan, Vidya" <[email-masked]>
Date: Fri, 1 Jun 2007 15:17:36 -0700

Folks,
I believe we had concluded we are not changing any terminology here,
simply clarifying the IETF interpretation of the terminology more
clearly.  We cannot avoid terminology differences across SDOs and we can
only make sure we clarify the applicability of the protocol very
clearly.  From that perspective, I prefer the text that Vijay had sent
to the list a while ago in his email -
http://www1.ietf.org/mail-archive/web/netlmm/current/msg02385.html.  

I think that text captures the scope of the PMIP6 work appropriately.
Any other opinions on adopting the text that Vijay has proposed there? 

Vidya 

> -----Original Message-----
> From: Basavaraj Patil [mailto:[email-masked]] 
> Sent: Friday, June 01, 2007 12:32 PM
> To: ext Jean-Michel Combes
> Cc: [email-masked]
> Subject: Re: [netlmm] Revised text for LMA definition
> 
> 
> Hi Jean-Michel,
> 
> 
> >> terms local and global mobility depend on the context and hence 
> >> cannot really be generalized.
> >> 
> >> My initial proposal was to refer to the LMA as an HA. I am 
> not sure 
> >> if there was a concrete conclusion to be derived from the 
> discussion. 
> >> I think that the term LMA is context dependent.
> >> 
> The LMA is an entity with a superset of functionality which 
> includes those of RFC3775/6 HA. So I don't understand why you 
> would say otherwise.
> 
> > 
> >>

---

From: Julien Abeille <[email-masked]>
Date: Mon, 04 Jun 2007 10:27:45 +0200

Hi Raj,

my view is that the MIPv6 behavior is different from the PMIPv6 one in 
important aspects, such as tunnel management, lookup entry key.... It is 
not PMIPv6 role in my view to design a LMA which is able to handle BUs 
from MNs. a LMA high level role is defined in the charter and there is 
no mention in this section of about handling host based mobility.
Again, the charter says
"The protocol will be independent of any
particular global mobility management protocol"
I think this is desirable and that for now, the draft fails to do so.

the damage i am referring to is the lack of flexibility in the protocol, 
and the not clean specification. PMIPv6 behavior is different form 
MIPv6, if you want to merge them, the only way top do so is to keep 
acking MIPv6. the different lookup key is a good example for me.

Particular scenarios, like PMIP/CMIP interaction or PMIP/HIP... should 
be solved in different documents.

Best regards,
Julien

-- 
Julien Abeillé
Research Associate
NEC Europe Ltd.
Network Laboratories
Kurfürsten-Anlage 36
69115 Heidelberg
GERMANY

tel: +49 6221 43421 19
fax: +49 6221 43421 55

---

From: "Giaretta, Gerardo" <[email-masked]>
Date: Mon, 4 Jun 2007 02:46:52 -0700

Hi Raj,

Sorry for the late comment. As already mentioned in a previous thread,
I'm not in favor of any change in the terminology. 

Based also on the post from the chair, I don't think we need to go into
the details of your proposed text. I would just like to mention that
based on the charter and based on what Jonne proposed some weeks ago,
any text that relates to global mobility management for PMIPv6 is not
acceptable.

Regards,
Gerardo

> Sent: Friday, June 01, 2007 12:35 AM
> To: [email-masked]
> Subject: [netlmm] Revised text for LMA definition
> 
> 
> functional capability of the HA as per RFC3775 and proxy MIP6 features

---

From: Ashutosh Dutta <[email-masked]>
Date: Mon, 04 Jun 2007 07:29:28 -0400

Julien,
         In my opinion, unlike previous versions of local mobility 
protocols, such as Cellular IP or HAWAII, PMIPv6 is very much tightly 
coupled with the global mobility protocol like MIPv6. Thus there will be 
an opportunity for reusability of lot of functional components between 
these two protocols during the deployment. The degree of re-usability 
will depend upon the type and pattern of mobile's movement.

Thanks
Ashutosh

Julien Abeille wrote:
>> On 6/1/07 6:39 AM, "ext Julien Abeille" <[email-masked]> <mailto:[email-masked]>
>> wrote:
>>
>>   
>>> Hi Jean Michel,
>>>
>>>> 2007/6/1, Basavaraj Patil <[email-masked]> <mailto:[email-masked]>:
>>>>       
>>>>> [email-masked] <mailto:[email-masked]>
>>>> [email-masked] <mailto:[email-masked]>
> eMail: [email-masked] <mailto:[email-masked]>
> http://www.netlab.nec.de
> 
> ------------------------------------------------------------------------
>

---

From: Julien Abeille <[email-masked]>
Date: Mon, 04 Jun 2007 14:25:29 +0200

Hi Ashutosh,

as far as deployment is concerned, I agree with you. This does not mean 
that it is a requirement do design a protocol depending on any Global or 
host based mobility protocol. On the contrary, goal 10 of RFC 4831 is 
clear about the issue.
Moreover, i think the issues raised when collocating a HA and a LMA can 
be solved in a cleaner way if PMIP design is independent of MIP.

Thanks,
Julien

Ashutosh Dutta wrote:
> coupled with the global mobility protocol like MIPv6. Thus there will 
> be an opportunity for reusability of lot of functional components 
> between these two protocols during the deployment. The degree of 
> re-usability will depend upon the type and pattern of mobile's movement.
>
> Thanks
> Ashutosh
>
>
> Julien Abeille wrote:
>>   Hi Raj,
>>
>> my view is that the MIPv6 behavior is different from the PMIPv6 one 
>> in important aspects, such as tunnel management, lookup entry key.... 
>> It is not PMIPv6 role in my view to design a LMA which is able to 
>> handle BUs from MNs. a LMA high level role is defined in the charter 
>> and there is no mention in this section of about handling host based 
>> mobility.
>> Again, the charter says
>> the damage i am referring to is the lack of flexibility in the 
>> protocol, and the not clean specification. PMIPv6 behavior is 
>> different form MIPv6, if you want to merge them, the only way top do 
>> so is to keep acking MIPv6. the different lookup key is a good 
>> example for me.
>>
>> Particular scenarios, like PMIP/CMIP interaction or PMIP/HIP... 
>> should be solved in different documents.
>>
>> Best regards,
>> Julien
>>
>>
>>
>> Basavaraj Patil wrote:
>>> Julien,
>>>
>>> Two points:
>>>
>>> On 6/1/07 6:39 AM, "ext Julien Abeille" 
>>> <[email-masked]> <mailto:[email-masked]>
>>> wrote:
>>>
>>>  
>>>> Hi Jean Michel,
>>>>
>> <mailto:[email-masked]>
>> http://www.netlab.nec.de
>>
>> NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, 
>> London W3 6BL | Registered in England 2832014
>>
>>

-- 
Julien Abeillé
Research Associate
NEC Europe Ltd.
Network Laboratories
Kurfürsten-Anlage 36
69115 Heidelberg
GERMANY

tel: +49 6221 43421 19
fax: +49 6221 43421 55

---

From: Ashutosh Dutta <[email-masked]>
Date: Mon, 04 Jun 2007 09:10:56 -0400

Julien,
	I think the important question is if we should attempt to design a 
generalized local mobility protocol that has the ability to interwork 
independent of any global mobility protocol, not just restricted to MIPv6.

	As of now, PMIPv6 appears to be very much in alignment with MIPv6 as 
the global mobility protocol. But that does not preclude it from being 
considered to be used with other global mobility protocols such as HIP 
or SIP etc.

Thanks
Ashutosh

---

From: "Soininen Jonne (NSN - FI/Espoo)" <[email-masked]>
Date: Sun, 10 Jun 2007 22:59:05 +0300

Hello everybody,

I have read the whole e-mail exchange, though, I decided to answer 
specifically now this mail.

I did not explicitly say that text about global mobility would be 
prohibited in the text. However, I didn't find it useful to continue 
argument what is global vs. what is local. IMHO, it makes more sense to 
describe what is the applicability of PMIP. I think Vijay made a 
proposal for the wording. I hope everybody has read it and have formed 
opinions of it.

I think the discussion of LMA vs. HA is a bit separate. There I think 
the one should be chosen, which is the most descriptive. Arguments can 
be made for pHA, HA, or LMA. I don't think there is a huge difference 
between any of those. However, as PMIP spec references and builds on 
MIPv6 description of correlation between the different elements might be 
useful for the reader.

Cheers,

Jonne.

---

From: Jari Arkko <[email-masked]>
Date: Tue, 12 Jun 2007 15:50:32 +0300

Folks,

I think Jonne makes a good point below. For what it is worth, I
like Vijay's wording as well.

As for the discussion -- please understand that the terms and
real-world sharing of implementations and boxes are two different
issues. We need to describe what the NETLMM architecture
is and what we expect to be true within a domain where NETLMM
runs in. This is what Vijay has done. Independent of that it is also
the case that a NETLMM LMA can simultaneously act as a home
agent for some other mobile nodes (or even the same ones, pending
some future work). That's allowed, and its in fact a good thing.

Jari

Soininen Jonne (NSN - FI/Espoo) kirjoitti:
> argument what is global vs. what is local. IMHO, it makes more sense
> to describe what is the applicability of PMIP. I think Vijay made a
> MIPv6 description of correlation between the different elements might
> be useful for the reader.
>
> Cheers,
>
> Jonne.
>
>